404 error for all revisions of some files
Closed, ResolvedPublic

Description

See https://commons.wikimedia.org/wiki/Category:Files_with_404_errors

Error retrieved from the server:

404 error: File not found

The URL you requested was not found. Maybe you would like to look at:

The main page
The list of Wikimedia downloads

A project of the Wikimedia foundation.

Files were not deleted by admins. The got lost by some technical defect?


Version: unspecified
Severity: critical
URL: https://commons.wikimedia.org/wiki/Category:Files_with_404_errors
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=41361
https://bugzilla.wikimedia.org/show_bug.cgi?id=24417
https://bugzilla.wikimedia.org/show_bug.cgi?id=69362

bzimport added a project: Wikimedia-Media-storage.Via ConduitNov 22 2014, 1:06 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz39615.
McZusatz created this task.Via LegacyAug 24 2012, 11:45 AM
Reedy added a comment.Via ConduitAug 24 2012, 12:22 PM

The simplest fix in most cases is to get the original uploader/author to upload it again...

McZusatz added a comment.Via ConduitAug 24 2012, 1:02 PM

(In reply to comment #1)

The simplest fix in most cases is to get the original uploader/author to upload
it again...

Notified all users. Some of them seem inactive btw.

McZusatz added a comment.Via ConduitSep 10 2012, 8:42 AM

Maybe bug #39221 is related to this one?

McZusatz added a comment.Via ConduitSep 13 2012, 8:10 AM

https://commons.wikimedia.org/wiki/File:%D0%92%D0%BE%D1%81%D1%82%D0%BE%D1%87%D0%BD%D0%B0%D1%8F_%D0%BA%D0%BE%D0%BC%D0%BD%D0%B0%D1%82%D0%B0_%D0%9D%D0%BE%D0%B2%D0%BE-%D0%9C%D0%B8%D1%85%D0%B0%D0%B9%D0%BB%D0%BE%D0%B2%D1%81%D0%BA%D0%BE%D0%B3%D0%BE_%D0%B4%D0%B2%D0%BE%D1%80%D1%86%D0%B0.jpg

The file got deleted instantly after I uploaded the wmr-version! Previously the file was affected by the bug #39221 (inconsistent state)...
So this is a very high indicator that those two bugs are related somehow

TheDJ added a comment.Via ConduitSep 13 2012, 2:15 PM

https://en.wikipedia.org/wiki/File:Polygon_types.svg

Deleted to make way for https://commons.wikimedia.org/wiki/File:Polygon_types.svg, but the File entry remains. The actual delete gives:

Error deleting file: Polygon types.svg

Error deleting file: Could not delete file "mwstore://local-swift/local-public/archive/e/eb/20070511103813!Polygon_types.svg".

And the page now gives 404s for the image thumbs.

McZusatz added a comment.Via ConduitOct 25 2012, 7:55 AM

(In reply to comment #7)
See my link to the Category "Category:Files with 404 errors" in the URL tag. All instances should be in this one.

https://commons.wikimedia.org/wiki/Category:Files_with_404_errors

Nemo_bis added a comment.Via ConduitOct 25 2012, 7:59 AM

Sure, but we're experiencing several wildly different 404 errors, so some vetting helps I think.

McZusatz added a comment.Via ConduitOct 25 2012, 11:40 AM

Could you please give a example of two widely different 404 errors from the Category?

McZusatz added a comment.Via ConduitOct 25 2012, 4:16 PM

Hundreds of files already got restored and thus removed from the 404 category. To still keep track of them I created the https://commons.wikimedia.org/wiki/Category:Files_with_404_errors_%28restored%29 category.

RobLa-WMF added a comment.Via ConduitOct 25 2012, 11:52 PM

There's a very small number of images for which this problem applies. Aaron has been looking at this problem off-and-on for a little while, and will continue to poke at this until he solves it, but may multitask with other things.

RobLa-WMF added a comment.Via ConduitOct 25 2012, 11:56 PM
  • Bug 41361 has been marked as a duplicate of this bug. ***
aaron added a comment.Via ConduitOct 27 2012, 12:12 AM

So for https://commons.wikimedia.org/wiki/File:Road_E22_Latvia.svg the first upload was at 20121015070818. At 20121015080748 it was evicted to mwstore://local-swift/local-public/archive/e/e0/20121015080734!Road_E22_Latvia.svg (an "archive" location). This normally happens on re-upload (except the image table row is also moved to an oldimage row and a new file is created, taking over the image row entry).

RobLa-WMF added a comment.Via ConduitNov 16 2012, 7:35 PM

Aaron is running a script to gather up a list of affected files (which takes a *long* time, and then it stops and he has to restart it, etc) He'll go through and fix everything on the list when that process completes.

aaron added a comment.Via ConduitNov 29 2012, 8:03 PM

Fixed 35 (/home/aaron/output/bug39615/commonswiki) files on commons via script (such as Леонид_Станиславович_Маевский.JPG).

I don't think there is much else for me to do here. The cause was fixed already in commit 1e9fd01 and the previously affected files that can be efficiently fixed have been.

Remaining 404 files should be re-uploaded (or deleted).

aaron added a comment.Via ConduitDec 17 2012, 6:40 PM

Another 21 fixed by scanning back further.

McZusatz added a comment.Via ConduitDec 17 2012, 6:57 PM

Thank you for the effort.

Yann added a comment.Via ConduitDec 24 2012, 3:25 AM

The category is not empty, there are still 76 files with this issue.

Aklapper added a comment.Via ConduitDec 31 2012, 11:22 AM

Yann: Please see last sentence of comment 16. Reclosing this report.

McZusatz added a comment.Via ConduitMar 12 2013, 8:07 PM

(In reply to comment #19)

The category is not empty, there are still 76 files with this issue.

I could fix 9 more...

(In reply to comment #16)

I don't think there is much else for me to do here. The cause was fixed
already
in commit 1e9fd01 and the previously affected files that can be efficiently
fixed have been.

There is a new instance:
File:Jon Agust fran Marorka- vinnare av Nordiska radets miljopris ar 2008 vid prisutdelningen i Helsingfors 2008-10-28.jpg
from 16:16, 10 March 2013. The file already got reuploaded and I am not even sure if this is related. Just letting you know.

Nemo_bis added a comment.Via ConduitSep 29 2013, 9:00 AM

(In reply to comment #16)

Remaining 404 files should be re-uploaded (or deleted).

Was a bug filed for the followups (cleanup)?

McZusatz added a comment.Via ConduitSep 29 2013, 11:21 AM

No bug needed. I already contacted all uploaders but some did not yet re-upload the old version.
Feel free to nominate those files for mass deletion.

Nemo_bis added a comment.Via ConduitSep 29 2013, 11:28 AM

(In reply to comment #23)

No bug needed. I already contacted all uploaders but some did not yet
re-upload
the old version.
Feel free to nominate those files for mass deletion.

What files? Is the category a full list? Your categorisation and cleanup work is truly amazing, but I think we should have some more "stable" way to identify such images.

McZusatz added a comment.Via ConduitSep 29 2013, 11:42 AM

That's true. Of course the cat only contains the files that were affected by the 404 in the latest version (current version) as of Aug. 2012.
[Someone did a thumbnail search to find those]

Nemo_bis added a comment.Via ConduitSep 30 2013, 2:53 AM

(In reply to comment #25)

[Someone did a thumbnail search to find those]

It seems Dispenser discontinued that?

Nemo_bis added a comment.Via ConduitOct 2 2013, 9:59 PM

(In reply to comment #26)

(In reply to comment #25)
> [Someone did a thumbnail search to find those]

It seems Dispenser discontinued that?

Nope. :D
https://toolserver.org/~dispenser/view/File_viewer#dispenser:temp:logs:cache_thumbs_errors.log
have fun!

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:19 AM
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:21 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:20 AM

Add Comment